<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.usai.apex"
    android:versionCode="7"
    android:versionName="A160422" >

    <!-- Copied from Google Maps Library/AndroidManifest.xml. -->
    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="18" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <!--
         <uses-permission android:name="com.android.launcher.permission.INSTALL_SHORTCUT" />
    <uses-permission android:name="com.android.launcher.permission.UNINSTALL_SHORTCUT" />
    -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
    <!-- External storage for caching. -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!-- My Location -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <!-- Maps API needs OpenGL ES 2.0. -->
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />
    <!-- End of copy. -->


    <!-- Baidu Map API -->

    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />

    <!--
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.USE_CREDENTIALS" />
    <uses-permission android:name="android.permission.MANAGE_ACCOUNTS" />
    <uses-permission android:name="android.permission.AUTHENTICATE_ACCOUNTS" />

    <permission android:name="android.permission.BAIDU_LOCATION_SERVICE" >
    </permission>

    <uses-permission android:name="android.permission.BAIDU_LOCATION_SERVICE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="android.permission.INTERNET" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_MOCK_LOCATION" >
    </uses-permission>
    -->
    <!-- <uses-permission android:name="android.permission.WRITE_APN_SETTINGS"></uses-permission> -->
    <!--
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="com.android.launcher.permission.READ_SETTINGS" />
    <uses-permission android:name="android.permission.WAKE_LOCK" >
    </uses-permission>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
   
    <uses-permission android:name="android.permission.ACCESS_GPS" />
    -->


    <!--
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    -->
    <!-- SDK1.5需要android.permission.GET_TASKS权限判断本程序是否为当前运行的应用? -->
    <!--
        <uses-permission android:name="android.permission.GET_TASKS" />
     <uses-permission android:name="android.permission.CAMERA" >
    </uses-permission>
    <uses-permission android:name="android.permission.RECORD_AUDIO" >
    </uses-permission>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" >
    </uses-permission>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.BROADCAST_STICKY" />
    -->


    <!-- 来电消音 -->
    <!--
    <uses-permission android:name="android.permission.PROCESS_OUTGOING_CALLS" >
    </uses-permission>
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    -->
    <application
        android:name="com.usai.apex.ApexTrackingApplication"
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@android:style/Theme.Holo.Light" >

        <!-- release key -->
       <meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="AIzaSyDdbk58Lx6QzaXcB_hNpSHVp3l_CJeNpoo" />
       
           <meta-data  
        android:name="com.baidu.lbsapi.API_KEY"  
        android:value="nqBQoSDbxrslhuzW91uViQX7" />  
      
        <!-- debug key -->


        
<!--                   <meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="AIzaSyARPN7VaYqWGe1PsgGqp1QlhOoTdiwTqq0" /> 
       
  <meta-data  
        android:name="com.baidu.lbsapi.API_KEY"  
        android:value="tznWFxd3RvSoul1TGQp6GSzo" />  -->
        
  
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />

        <activity
            android:name="com.usai.apex.DetailActivity"
            android:label="@string/title_activity_detail"
            android:screenOrientation="landscape" >

            <!--
                 <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="android.support.v4.app.FragmentActivity" />

           
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

            -->
        </activity>
        <activity
            android:name="com.usai.apex.ApexActivity"
            android:label="@string/title_activity_apex"
            android:logo="@drawable/apexlogo_2"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" >
        </activity>
        <!--
             <activity
            android:name="com.usai.apex.LoginFragment"
            android:label="@string/title_activity_login"
            android:windowSoftInputMode="adjustResize|stateVisible" >
        </activity>
        <activity
            android:name="com.usai.apex.DirectTrackingFragment"
            android:label="@string/title_activity_direct_tracking" >
        </activity>






        -->
        <activity
            android:name="com.usai.apex.FunctionSelectActivity"
            android:label="@string/title_activity_function_select"
            android:launchMode="singleTop"
            android:logo="@drawable/apexlogo_2"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.usai.apex.SearchActivity"
            android:label="@string/title_activity_search"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.AnnouncementActivity"
            android:label="@string/title_activity_announcements"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.CustomizeFieldsActivity"
            android:label="@string/title_activity_customize_fields"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.ResultActivity"
            android:label="@string/title_activity_result" >
        </activity>
        <activity
            android:name="com.usai.apex.LocationDetailActivity"
            android:label="@string/title_activity_location_detail" >
        </activity>
        <activity
            android:name="com.usai.apex.InnerMapActivity"
            android:label="@string/title_activity_inner_map" >
        </activity>
        <activity
            android:name="com.usai.apex.HelpActivity"
            android:label="@string/title_activity_help"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Holo.NoActionBar" >
        </activity>
        <activity
            android:name="com.usai.apex.SearchListActivity"
            android:label="@string/title_activity_search_list"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustUnspecified|stateHidden" >
        </activity>
        <activity
            android:name="com.usai.apex.RetrievePasswordActivity"
            android:label="@string/title_activity_retrieve_password"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.MessageActivity"
            android:label="@string/title_activity_message"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.SearchHistoryActivity"
            android:label="@string/title_activity_search_history"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.ChangePasswordActivity"
            android:label="Change Password"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateVisible" >
        </activity>
        <activity
            android:name="com.usai.apex.AboutActivity"
            android:label="@string/title_activity_about"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.WebActivity"
            android:label="@string/title_activity_web" >
        </activity>

        <receiver
            android:name="com.usai.apex.BootBroadcastReceiver"
            android:permission="android.permission.RECEIVE_BOOT_COMPLETED" >
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
                
            </intent-filter>
        </receiver>
        <receiver android:name="com.usai.apex.Alarmreceiver" >
            <intent-filter>
                <action android:name="com.usai.apex.push" />
                <action android:name="com.usai.apex.push.cancel" />
            </intent-filter>
        </receiver>

        <activity
            android:name="com.usai.apex.MessageDetailActivity"
            android:label="@string/title_activity_message_detail"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.InnerToolsActivity"
            android:label="@string/title_activity_inner_tools"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.DocumentsActivity"
            android:label="@string/title_activity_documents"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.LocalDocumentActivity"
            android:label="@string/title_activity_localdocuments"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.ApexHistoryActivity"
            android:label="@string/title_activity_apexhistory"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.usai.apex.SettingsActivity"
            android:label="@string/title_activity_settings"
            android:screenOrientation="portrait"  >
        </activity>
                <service
            android:name="com.usai.apex.ApexBackgroundService"
            android:label="Apex Mobile Background Service" >
        </service>
    </application>

</manifest>